## Windows setup instructions: 

1. Download Python from python.org . Latest version as of this writing is Python 3.8.3
2. When installing, make sure "Add Python to PATH" is checked at the bottom of
   the install dialog
3. Open a "Command Prompt"
4. In the command prompt, run the command:

    pip install pyautogui

5. Download and install the enhanced combat assist plugin however you normally
   install VO plugins

6. Open a new command prompt with Administrator privileges. You can do this by searching for the "Command Prompt" application in the Windows search bar, right clicking on "Command Prompt", and selecting "Run as Administrator".

7. In the admin command prompt, navigate to the VO plugins/enhanced_combat_assist/daemon
   directory. On my machine, the command is:

    cd "\Program Files (x86)\Vendetta Online\plugins\enhanced_combat_assist\daemon"

8. Start the daemon.

    python daemon.py

9. Fire up VO. Or, if VO is already fired up, execute the command 

    /lua ReloadInterface() 
    
   in the console)

10. Set up keybindings in VO. We highly recommend binding one key to the command
   "eca_enable" and another to "eca_disable". This is because the daemon can
   really take over the keyboard and make disabling the plugin very hard w/out a
   binding. You can do this w/ VO commands:

    /bind u eca_enable
    /bind c eca_disable

12. Connect to the daemon by running the command

    /eca connect

12. Target an object and try enabling/disable eca!

## Some additional eca commands:

### /eca set_distance <float>

Set the target distance. For example:

    /eca set_distance 200

sets the target distance to 200m

### /eca_pin or /eca pin

Sets the target distance to the current target's current distance.

### /eca set_p <float>

Set the "proportional gain" of the PID controller. 

### /eca set_d <float>

Set the "derivative gain" of the PID controller.

